dh-fortran (0.69) unstable; urgency=medium

  * Drop calls to basename in fortran-support.mk. Closes: #1128430

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 Apr 2026 14:45:29 +0100

dh-fortran (0.68) unstable; urgency=medium

  * Fix breakage from bad merge

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Feb 2026 12:59:05 +0000

dh-fortran (0.67) unstable; urgency=medium

  * Add default for f77, too, if /etc/alternatives is not set
  * Dont use DEB_BUILD_OPTIONS in d/rules . Closes: #1126889

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Feb 2026 08:21:04 +0000

dh-fortran (0.66) unstable; urgency=medium

  * missing symlink /etc/alternatives breaks fortran detection

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Feb 2026 06:22:45 +0000

dh-fortran (0.65) unstable; urgency=medium

  * Append -Ifmoddir to get_fc_flags() output
  * Hard-code lfortran mod dir to lfortran-mod-0, rather than per-
    compiler version
  * get_fc_optional() returns a set now, more logical
  * Ensure lfortran flags stripped
  * Append -Lflibdir to get_ld_flags() output
  * Fix delete - do it in perl layer
  * Drop verbose debug statements that break usage. Closes: #1126679

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 30 Jan 2026 18:25:47 +0000

dh-fortran (0.64) unstable; urgency=medium

  * Update d/gbp.conf
  * Enable multifortran in buildsystem builds

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 30 Jan 2026 08:33:13 +0000

dh-fortran (0.63) unstable; urgency=medium

  * Accept -O properly. Closes: #1125262

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Jan 2026 07:27:30 +0000

dh-fortran (0.62) unstable; urgency=medium

  * Make more robust on bad search paths

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Jan 2026 14:06:22 +0000

dh-fortran (0.61) unstable; urgency=medium

  * dh_fortran_mod, dh_fortran_lib may now operate automatically
  * Fix dh_fortran_lib call
  * Add support for gfortran-16, flang-22
  * Fix tests for all module identification
  * 'dh_fortran get_flibdir' now takes --fc not --flavor
  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy
  * Now installs original libs by default as well, to avoid disruption

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Jan 2026 16:25:27 +0000

dh-fortran (0.60) unstable; urgency=medium

  * Fix 'dh_fortran_lib get_fc_flags' when stripping elements
  * Fix for bad input to dh_fortran
  * Add 'dh_fortran get_ld_flags'
  * Cope with flang mod files now being Unicode

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 20 Dec 2025 07:37:40 +0000

dh-fortran (0.59) unstable; urgency=medium

  * Drop debugging breakpoint

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Dec 2025 15:19:55 +0000

dh-fortran (0.58) unstable; urgency=medium

  * fpm support when buildsystem=fortran
  * Also include a symlink for .so file with prefix

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Dec 2025 14:42:36 +0000

dh-fortran (0.57) unstable; urgency=medium

  * Add dep on python3-click. Closes: #1120547

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 12 Nov 2025 08:20:53 +0000

dh-fortran (0.56) unstable; urgency=medium

  * First upload of dh-fortran to unstable, with dh-fortran-mod as a
    transitional package

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 Nov 2025 10:55:31 +0000

dh-fortran-mod (0.55) unstable; urgency=medium

  * Add get_fmoddir, get_flibdir helpers

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 31 Oct 2025 12:49:50 +0000

dh-fortran-mod (0.54) unstable; urgency=medium

  * Use DEB_HOST_GNU_TYPE in compiler name, not multiarch;
    they differ on i386. Closes: #1118734

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Oct 2025 10:39:21 +0100

dh-fortran-mod (0.53) unstable; urgency=medium

  * Don't break on dh params buildsystem, etc
  * More robustness checks on bad input

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Oct 2025 12:30:45 +0100

dh-fortran-mod (0.52) unstable; urgency=medium

  * Also change the dh-fortran dep in tests

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 23 Oct 2025 09:55:08 +0100

dh-fortran-mod (0.51) unstable; urgency=medium

  * Allow *.fortran-* files be executable scripts

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Oct 2025 08:55:43 +0100

dh-fortran-mod (0.50) unstable; urgency=medium

  * Handle -O--no-parallel sensibly

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Oct 2025 12:07:53 +0100

dh-fortran-mod (0.49) unstable; urgency=medium

   * Depend on gfortran; gfortran-for-host not sufficient and breaks
     meson builds

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Oct 2025 10:17:16 +0100

dh-fortran-mod (0.48) unstable; urgency=medium

  * Ensure python3-magic is present
  * Don't create symlink if src==dest in dh_fortran_lib

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Oct 2025 08:08:02 +0100

dh-fortran-mod (0.47) unstable; urgency=medium

  * Fix for -p support in dh_fortran scripts
  * Fix symlinks in dh_fortran_lib

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Oct 2025 11:58:33 +0100

dh-fortran-mod (0.46) unstable; urgency=medium

  * Complete Python reimplementation.
  * Temporarily revert to 'dh-fortran-mod' until rename passes NEW
  * Add dh_fortran_pkgconf
  * Fixes to directories and installation file tracking for dh_fortan_mod,
    dh_fortran_lib
  * Rework package structure to get tests working
  * Build-dep on pybuild-plugin-pyproject, python3-setuptools

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Oct 2025 07:15:27 +0100

dh-fortran (0.45) experimental; urgency=medium

  * Change name to 'dh-fortran'
  * Support get_fc_vendor() to fortran-support.mk
  * Add more default code to fortran-support.mk for dh_*_fortran_templates
  * Add --preferred behavour to dh_fortran_lib
  * Add initial dh_fortran python wrapper script
  * Start python implementation

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Jul 2025 09:44:16 +0100

dh-fortran-mod (0.44) experimental; urgency=medium

  * Fix fortran-support.mk typo.
  * Behaviour of fortran-support.mk now works better with FC=f77;
  * get_fcflags() now defined
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 13 Jun 2025 15:01:46 +0100

dh-fortran-mod (0.43) unstable; urgency=medium

  * Standards-Version: 4.7.1
  * fortran-support.mk: missing brace. Closes: #1098525

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Feb 2025 12:05:56 +0000

dh-fortran-mod (0.42) unstable; urgency=medium

  * Add support for gfortran-15
  * Add support for flang20

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Feb 2025 12:29:44 +0000

dh-fortran-mod (0.41) unstable; urgency=medium

  * More support changes needed for gfortran-14

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 24 Aug 2024 09:34:54 +0100

dh-fortran-mod (0.40) unstable; urgency=medium

  * Standards-Version: 4.7.0; no changes required
  * Move to gfortran-14 as the default compiler

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Aug 2024 13:47:03 +0100

dh-fortran-mod (0.39) unstable; urgency=medium

  * Commit didn't get included.. Redo Closes: #1062809

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Feb 2024 07:31:22 +0000

dh-fortran-mod (0.38) unstable; urgency=medium

  * Fix typo that breaks builds. Closes: #1062809
  * Add flang19, gfortran14 support

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Feb 2024 22:08:38 +0000

dh-fortran-mod (0.37) unstable; urgency=medium

  * Initial dh_fortran_lib, simple cases only
  * Fix for dh_fortran_mod; don't produce deps on flang-7,
  * Override dh_dwz in fortran-support.mk as its broken by patchelf,
    used in dh_fortran_lib
  * dh_fortran_mod: now support gfortran-14

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 31 Jan 2024 06:48:51 +0000

dh-fortran-mod (0.36) unstable; urgency=medium

  * Bugfix: mod files can be misidentified as c++
  * debhelper-interaction test: fix cwd

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Jan 2024 18:21:25 +0000

dh-fortran-mod (0.35) unstable; urgency=medium

  * Drop pkg-gfortran test as defunct for now
  * Bugfix foreach_fc_execute_after; remove foreach_fc

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 12 Jan 2024 20:16:28 +0000

dh-fortran-mod (0.34) unstable; urgency=medium

  * Start dh_fortran_libs
  * Add foreach_fc_execute_{before,after} macros
  * Add experimental flang18

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Jan 2024 07:23:56 +0000

dh-fortran-mod (0.33) unstable; urgency=medium

  * Fixes for fortran-support.mk: whitespace issue and typo
  * foreach_fc(): for automated compiler build support

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Jan 2024 15:16:47 +0000

dh-fortran-mod (0.32) unstable; urgency=medium

  * Remove troublesome quotes around function returns
  * Add lfortran support
  * Define FC_OPTIONAL in fortran-support.mk
  * Return sane defaults for external FC in fortran-support.mk
  * Add TODO.md, test Makefile
  * Change misc:Depends to fortran:Depends in dh-fortran-mod

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jan 2024 12:36:47 +0000

dh-fortran-mod (0.31) unstable; urgency=medium

  * Provide dh-sequence-fortran as we do more than mod files now
  * Depend on gfortran | fortran-compiler to simplify build-deps
  * Add detection code  for flang-external-fc-, flang-new-*
  * Update documentation in dh_fortran_mod
  * fortran-support.mk: (experimental)
     - add get_fmoddir, get_flibdir, get_fc_exe functions

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Dec 2023 13:03:26 +0000

dh-fortran-mod (0.30) unstable; urgency=medium

  * Update more references to /usr/include

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Dec 2023 08:46:46 +0000

dh-fortran-mod (0.29) unstable; urgency=medium

  * Add fortran-support.mk helper script for d/rules. Experimental
  * Set fmoddir to /usr/include, not /usr/lib

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Dec 2023 16:57:34 +0000

dh-fortran-mod (0.28) unstable; urgency=medium

  * Standards-Version: 4.6.2
  * Add support for gfortran-12

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Jun 2023 14:33:57 +0100

dh-fortran-mod (0.27) unstable; urgency=medium

  * Silently ignore failure to delete non-existent directories in postrm
    Closes: #1019050

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Sep 2022 14:27:19 +0100

dh-fortran-mod (0.26) unstable; urgency=medium

  * Ignore errors on rm cruft files in preinst

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Aug 2022 20:58:31 +0100

dh-fortran-mod (0.25) unstable; urgency=medium

  * Don't create links 'gfortran-*' without arch base when compiler
    not installed. Clean up cruft from doing so before
  * Close old fixed bug. Closes: #1013316

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Aug 2022 17:43:35 +0100

dh-fortran-mod (0.24) unstable; urgency=medium

  * Drop gcc-transition workk for now as it blocks the tbb transition

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Jun 2022 16:20:17 +0100

dh-fortran-mod (0.23) unstable; urgency=medium

  * Standards-Version: 4.6.1
  * Forrce Build-depend on gfortran-12 for gcc-12 transition.
    Then rebuild deps with this version.	

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Jun 2022 10:07:17 +0100

dh-fortran-mod (0.22) unstable; urgency=medium

  * Add support for gfortran-12

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 Apr 2022 18:40:50 +0100

dh-fortran-mod (0.21) unstable; urgency=medium

  * Standards-Version: 4.6.0
  * Drop old code now bullseye is released
  * Update default gfortran to gfortran-11

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Oct 2021 16:30:11 +0100

dh-fortran-mod (0.20) unstable; urgency=medium

  * Fix autopkgtest script; add field to d/control in tests to
    silence warnings

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Jan 2021 20:44:52 +0000

dh-fortran-mod (0.19) unstable; urgency=medium

  * Point d/gbp.conf to debian/latest branch
  * Add package tests
  * Syntax fix in dh_fortran_mod.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Jan 2021 10:52:41 +0000

dh-fortran-mod (0.18) unstable; urgency=medium

  * Bump gfortran default to gfortran-10
  * gfortran-11 expected to have module version 15
  * Set vcs-git to point to debian/latest branch
  * Standards-Version: 4.5.1
  * Updated patch. Closes: #965255

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Jan 2021 10:58:03 +0000

dh-fortran-mod (0.17) unstable; urgency=medium

  * Fix for reproducibility. Thanks to Chris Lamb. Closes: #965255
  * debhelper compat 13

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Jul 2020 08:59:11 +0100

dh-fortran-mod (0.16) unstable; urgency=medium

  * Fix inserted depends to form of 'real-compiler-version | compiler-mod-XXX'
    to silence dependency warnings on virtual packages

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Apr 2020 15:15:54 +0100

dh-fortran-mod (0.15) unstable; urgency=medium

  * Standards-Version now 4.5.0
  * Provide: dh-sequence-fortran_mod. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 23 Feb 2020 11:56:01 +0000

dh-fortran-mod (0.14) unstable; urgency=medium

  * Now Use gfortran-9.
  * Drop use fof ${Fortran-Mod} and Fortran-Mod: stanza. Simply use
    ${misc:Depends}. Closes: #941476
  * Standards-Version now 4.4.1.0

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 18 Oct 2019 05:47:52 +0100

dh-fortran-mod (0.13) unstable; urgency=medium

  * Bugfix: when installing on cmdline, don't install into non-specified
    packages
  * Now at Standards-Version: 4.4.0
  * flang-7 20190329+ use modversion 34.  Move from 33 to 34

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 18 Jul 2019 11:50:17 +0100

dh-fortran-mod (0.12) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Use dpkg makefile snippet instead of manual changelog parsing.
  * Switch to debhelper-compat (= 12).
  * Introduce a $VERSION variable in dh_fortran_mod s.t. the generated code
    inserted into maintainer scripts is properly annotated with the
    dh-fortran-mod version that created it.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Jan 2019 08:58:31 +0000

dh-fortran-mod (0.11) unstable; urgency=medium

  * Calculate canonical compiler at build-time, as the compiler may not
    be installed at install-time, and readlink will fail.
  * Re-order deletes in postrm script to ensure all deletes are done.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Jan 2019 12:19:46 +0000

dh-fortran-mod (0.10) unstable; urgency=medium

  * Ensure mod files are installed chmod 644
  * Add link for canonical compiler name
  * Standards-Version: 4.3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Jan 2019 16:05:19 +0000

dh-fortran-mod (0.9) unstable; urgency=medium

  * Make creating cmplr link conditional.
  * handle target directories that may be subdirectory of $fmoddir

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Dec 2018 13:23:51 +0000

dh-fortran-mod (0.8) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Alastair McKinstry ]
  * Only add postrm/preinst scripts for packages with mod files.
    Closes: #917205
  * Don't fail on postrm if directory already removed

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 26 Dec 2018 12:59:35 +0000

dh-fortran-mod (0.7) unstable; urgency=medium

  * Ensure test in postrm script does not return 1 and fail -e.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 20 Dec 2018 14:10:43 +0000

dh-fortran-mod (0.6) unstable; urgency=medium

  * Add spaces into preinst / postrm fragments. Closes: #916565

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Dec 2018 15:40:05 +0000

dh-fortran-mod (0.5) unstable; urgency=medium

  * Set ${Fortran-Mod} variable instead of ${misc:Built-Using} as
    Built-Using has strict semantics; don't use it

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 Dec 2018 07:45:06 +0000

dh-fortran-mod (0.4) unstable; urgency=medium

  * Standards-Version: 4.2.1; no changes required
  * Put files in fmoddir, /usr/lib/$multiarch/fortran/$compiler directory
    by default.
  * Set misc:Built-Using: variable with the compiler version rather
    than misc:Depends.
  * Add support for flang compiler.
  * Add preinst / postrm script fragments for creating / deleting
    /usr/lib/$multiarch/fortran/$compiler/ directories for mod files

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Dec 2018 16:29:21 +0000

dh-fortran-mod (0.3) unstable; urgency=medium

  * Change subst-vars to include real compiler pkg to work build buildds.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 06 May 2018 07:39:28 +0100

dh-fortran-mod (0.2) unstable; urgency=medium

  * Copy code from dh_install to enable globbing of paths.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 04 May 2018 15:30:50 +0100

dh-fortran-mod (0.1) unstable; urgency=low

  * Initial release. (Closes: #868013).

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 May 2018 17:36:13 +0100
